#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'customtemplates_base.ui'
**
** Created: 2013-08-05T17:04:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "customtemplates_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <kactivelabel.h>
#include <qframe.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qcombobox.h>
#include <kkeybutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "templatesinsertcommand.h"
#include "kmfawidgets.h"

/*
 *  Constructs a CustomTemplatesBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CustomTemplatesBase::CustomTemplatesBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    grid = new QGridLayout( this, 1, 1, 11, 6, "grid"); 

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    mName = new KLineEdit( this, "mName" );
    mName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, mName->sizePolicy().hasHeightForWidth() ) );
    mName->setMinimumSize( QSize( 100, 0 ) );
    layout8->addWidget( mName );

    mAdd = new KPushButton( this, "mAdd" );
    layout8->addWidget( mAdd );

    mRemove = new KPushButton( this, "mRemove" );
    layout8->addWidget( mRemove );
    layout9->addLayout( layout8 );

    mList = new QListView( this, "mList" );
    mList->addColumn( tr2i18n( "Type" ) );
    mList->addColumn( tr2i18n( "Name" ) );
    mList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 1, mList->sizePolicy().hasHeightForWidth() ) );
    mList->setAllColumnsShowFocus( TRUE );
    layout9->addWidget( mList );

    mHelp = new KActiveLabel( this, "mHelp" );
    layout9->addWidget( mHelp );

    grid->addLayout( layout9, 0, 0 );

    mEditFrame = new QFrame( this, "mEditFrame" );
    mEditFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 12, 0, mEditFrame->sizePolicy().hasHeightForWidth() ) );
    mEditFrame->setFrameShape( QFrame::NoFrame );
    mEditFrame->setFrameShadow( QFrame::Raised );
    mEditFrameLayout = new QVBoxLayout( mEditFrame, 0, 6, "mEditFrameLayout"); 

    layout8_2 = new QHBoxLayout( 0, 0, 6, "layout8_2"); 

    layout6 = new QVBoxLayout( 0, 0, 6, "layout6"); 

    mToLabel = new QLabel( mEditFrame, "mToLabel" );
    layout6->addWidget( mToLabel );

    mCCLabel = new QLabel( mEditFrame, "mCCLabel" );
    layout6->addWidget( mCCLabel );
    layout8_2->addLayout( layout6 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    mToEdit = new KMFilterActionWithAddressWidget( mEditFrame, "mToEdit" );
    layout7->addWidget( mToEdit );

    mCCEdit = new KMFilterActionWithAddressWidget( mEditFrame, "mCCEdit" );
    layout7->addWidget( mCCEdit );
    layout8_2->addLayout( layout7 );
    mEditFrameLayout->addLayout( layout8_2 );

    mEdit = new QTextEdit( mEditFrame, "mEdit" );
    mEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 1, mEdit->sizePolicy().hasHeightForWidth() ) );
    mEdit->setTextFormat( QTextEdit::PlainText );
    mEdit->setWordWrap( QTextEdit::NoWrap );
    mEditFrameLayout->addWidget( mEdit );

    layout4 = new QGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    mType = new QComboBox( FALSE, mEditFrame, "mType" );

    layout4->addWidget( mType, 1, 2 );

    textLabel1_2 = new QLabel( mEditFrame, "textLabel1_2" );
    textLabel1_2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout4->addWidget( textLabel1_2, 0, 1 );

    textLabel1 = new QLabel( mEditFrame, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    textLabel1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    layout4->addWidget( textLabel1, 1, 1 );

    mInsertCommand = new TemplatesInsertCommand( mEditFrame, "mInsertCommand" );

    layout4->addWidget( mInsertCommand, 1, 0 );

    mKeyButton = new KKeyButton( mEditFrame, "mKeyButton" );

    layout4->addWidget( mKeyButton, 0, 2 );
    mEditFrameLayout->addLayout( layout4 );

    grid->addWidget( mEditFrame, 0, 1 );
    languageChange();
    resize( QSize(589, 463).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1_2->setBuddy( mKeyButton );
    textLabel1->setBuddy( mType );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CustomTemplatesBase::~CustomTemplatesBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CustomTemplatesBase::languageChange()
{
    mAdd->setText( QString::null );
    mRemove->setText( QString::null );
    mList->header()->setLabel( 0, tr2i18n( "Type" ) );
    mList->header()->setLabel( 1, tr2i18n( "Name" ) );
    mHelp->setText( tr2i18n( "How does this work?" ) );
    mToLabel->setText( tr2i18n( "To:" ) );
    mCCLabel->setText( tr2i18n( "CC:" ) );
    mType->clear();
    mType->insertItem( tr2i18n( "Universal" ) );
    mType->insertItem( tr2i18n( "Reply" ) );
    mType->insertItem( tr2i18n( "Reply to All" ) );
    mType->insertItem( tr2i18n( "Forward" ) );
    textLabel1_2->setText( tr2i18n( "Shortc&ut:" ) );
    textLabel1->setText( tr2i18n( "&Template type:" ) );
    mKeyButton->setText( tr2i18n( "None" ) );
}

void CustomTemplatesBase::mAdd_clicked()
{
    qWarning( "CustomTemplatesBase::mAdd_clicked(): Not implemented yet" );
}

void CustomTemplatesBase::mRemove_clicked()
{
    qWarning( "CustomTemplatesBase::mRemove_clicked(): Not implemented yet" );
}

/****************************************************************************
** CustomTemplatesBase meta object code from reading C++ file 'customtemplates_base.h'
**
** Created: Mon Aug 5 17:04:54 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "customtemplates_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CustomTemplatesBase::className() const
{
    return "CustomTemplatesBase";
}

QMetaObject *CustomTemplatesBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CustomTemplatesBase( "CustomTemplatesBase", &CustomTemplatesBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CustomTemplatesBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CustomTemplatesBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CustomTemplatesBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CustomTemplatesBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CustomTemplatesBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"mAdd_clicked", 0, 0 };
    static const QUMethod slot_1 = {"mRemove_clicked", 0, 0 };
    static const QUMethod slot_2 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "mAdd_clicked()", &slot_0, QMetaData::Public },
	{ "mRemove_clicked()", &slot_1, QMetaData::Public },
	{ "languageChange()", &slot_2, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CustomTemplatesBase", parentObject,
	slot_tbl, 3,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CustomTemplatesBase.setMetaObject( metaObj );
    return metaObj;
}

void* CustomTemplatesBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CustomTemplatesBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CustomTemplatesBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: mAdd_clicked(); break;
    case 1: mRemove_clicked(); break;
    case 2: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CustomTemplatesBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CustomTemplatesBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CustomTemplatesBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
