#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'folderpropertiesdialog.ui'
**
** Created: 2013-08-05T17:04:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "folderpropertiesdialog.h"

#include <qvariant.h>
#include <kdialog.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <kicondialog.h>
#include <knuminput.h>
#include <kcombobox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kmfolderdir.h"
#include "kmfolder.h"
#include "folderpropertiesdialog.ui.h"

/*
 *  Constructs a KMFolderDialogUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KMFolderDialogUI::KMFolderDialogUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KMFolderDialogUI" );
    KMFolderDialogUILayout = new QVBoxLayout( this, 0, KDialog::spacingHint(), "KMFolderDialogUILayout"); 

    GroupBox2 = new QGroupBox( this, "GroupBox2" );
    GroupBox2->setColumnLayout(0, Qt::Vertical );
    GroupBox2->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox2->layout()->setMargin( KDialog::marginHint() );
    GroupBox2Layout = new QGridLayout( GroupBox2->layout() );
    GroupBox2Layout->setAlignment( Qt::AlignTop );

    mNameEdit = new QLineEdit( GroupBox2, "mNameEdit" );
    mNameEdit->setFrameShape( QLineEdit::LineEditPanel );
    mNameEdit->setFrameShadow( QLineEdit::Sunken );

    GroupBox2Layout->addMultiCellWidget( mNameEdit, 0, 0, 2, 7 );

    TextLabel1 = new QLabel( GroupBox2, "TextLabel1" );

    GroupBox2Layout->addMultiCellWidget( TextLabel1, 0, 0, 0, 1 );

    mHoldsMailingList = new QCheckBox( GroupBox2, "mHoldsMailingList" );

    GroupBox2Layout->addMultiCellWidget( mHoldsMailingList, 3, 3, 0, 7 );
    Spacer1_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( Spacer1_2, 4, 0 );

    TextLabel2_2 = new QLabel( GroupBox2, "TextLabel2_2" );
    TextLabel2_2->setEnabled( FALSE );

    GroupBox2Layout->addMultiCellWidget( TextLabel2_2, 4, 4, 1, 3 );
    Spacer1 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( Spacer1, 2, 0 );

    TextLabel3 = new QLabel( GroupBox2, "TextLabel3" );
    TextLabel3->setEnabled( FALSE );

    GroupBox2Layout->addMultiCellWidget( TextLabel3, 2, 2, 1, 2 );

    mNormalIconButton = new KIconButton( GroupBox2, "mNormalIconButton" );
    mNormalIconButton->setEnabled( FALSE );
    mNormalIconButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, mNormalIconButton->sizePolicy().hasHeightForWidth() ) );
    mNormalIconButton->setMinimumSize( QSize( 28, 28 ) );
    mNormalIconButton->setMaximumSize( QSize( 28, 28 ) );

    GroupBox2Layout->addWidget( mNormalIconButton, 2, 3 );
    Spacer1_4 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( Spacer1_4, 2, 4 );

    mUnreadIconButton = new KIconButton( GroupBox2, "mUnreadIconButton" );
    mUnreadIconButton->setEnabled( FALSE );
    mUnreadIconButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, mUnreadIconButton->sizePolicy().hasHeightForWidth() ) );
    mUnreadIconButton->setMinimumSize( QSize( 28, 28 ) );
    mUnreadIconButton->setMaximumSize( QSize( 28, 28 ) );

    GroupBox2Layout->addWidget( mUnreadIconButton, 2, 6 );

    TextLabel4 = new QLabel( GroupBox2, "TextLabel4" );
    TextLabel4->setEnabled( FALSE );

    GroupBox2Layout->addWidget( TextLabel4, 2, 5 );
    spacer9 = new QSpacerItem( 101, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox2Layout->addItem( spacer9, 2, 7 );

    mIconsCheckBox = new QCheckBox( GroupBox2, "mIconsCheckBox" );

    GroupBox2Layout->addMultiCellWidget( mIconsCheckBox, 1, 1, 0, 7 );

    mMailingListPostAddress = new QLineEdit( GroupBox2, "mMailingListPostAddress" );
    mMailingListPostAddress->setEnabled( FALSE );
    mMailingListPostAddress->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, mMailingListPostAddress->sizePolicy().hasHeightForWidth() ) );

    GroupBox2Layout->addMultiCellWidget( mMailingListPostAddress, 4, 4, 4, 7 );
    KMFolderDialogUILayout->addWidget( GroupBox2 );

    GroupBox3 = new QGroupBox( this, "GroupBox3" );
    GroupBox3->setColumnLayout(0, Qt::Vertical );
    GroupBox3->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox3->layout()->setMargin( KDialog::marginHint() );
    GroupBox3Layout = new QGridLayout( GroupBox3->layout() );
    GroupBox3Layout->setAlignment( Qt::AlignTop );

    TextLabel2_3 = new QLabel( GroupBox3, "TextLabel2_3" );
    TextLabel2_3->setEnabled( FALSE );

    GroupBox3Layout->addWidget( TextLabel2_3, 1, 1 );
    Spacer1_2_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    GroupBox3Layout->addItem( Spacer1_2_2, 1, 0 );

    mExpireRead = new QCheckBox( GroupBox3, "mExpireRead" );

    GroupBox3Layout->addMultiCellWidget( mExpireRead, 0, 0, 0, 3 );
    Spacer1_2_2_2 = new QSpacerItem( 20, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    GroupBox3Layout->addItem( Spacer1_2_2_2, 3, 0 );

    TextLabel2_3_2 = new QLabel( GroupBox3, "TextLabel2_3_2" );
    TextLabel2_3_2->setEnabled( FALSE );

    GroupBox3Layout->addWidget( TextLabel2_3_2, 3, 1 );

    mExpireUnread = new QCheckBox( GroupBox3, "mExpireUnread" );

    GroupBox3Layout->addMultiCellWidget( mExpireUnread, 2, 2, 0, 3 );

    mExpireReadNum = new KIntNumInput( GroupBox3, "mExpireReadNum" );
    mExpireReadNum->setEnabled( FALSE );
    mExpireReadNum->setMinValue( 1 );
    mExpireReadNum->setMaxValue( 500 );

    GroupBox3Layout->addWidget( mExpireReadNum, 1, 2 );

    mExpireUnreadNum = new KIntNumInput( GroupBox3, "mExpireUnreadNum" );
    mExpireUnreadNum->setEnabled( FALSE );
    mExpireUnreadNum->setMinValue( 1 );
    mExpireUnreadNum->setMaxValue( 500 );

    GroupBox3Layout->addWidget( mExpireUnreadNum, 3, 2 );

    mExpireUnreadUnits = new KComboBox( FALSE, GroupBox3, "mExpireUnreadUnits" );
    mExpireUnreadUnits->setEnabled( FALSE );

    GroupBox3Layout->addWidget( mExpireUnreadUnits, 3, 3 );

    mExpireReadUnits = new KComboBox( FALSE, GroupBox3, "mExpireReadUnits" );
    mExpireReadUnits->setEnabled( FALSE );

    GroupBox3Layout->addWidget( mExpireReadUnits, 1, 3 );
    Spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox3Layout->addMultiCell( Spacer6, 0, 3, 4, 4 );
    KMFolderDialogUILayout->addWidget( GroupBox3 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( KDialog::spacingHint() );
    GroupBox1->layout()->setMargin( KDialog::marginHint() );
    GroupBox1Layout = new QGridLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( GroupBox1, "textLabel1" );

    GroupBox1Layout->addWidget( textLabel1, 1, 0 );

    mIdentity = new QComboBox( FALSE, GroupBox1, "mIdentity" );

    GroupBox1Layout->addWidget( mIdentity, 1, 1 );

    mMailboxType = new KComboBox( FALSE, GroupBox1, "mMailboxType" );

    GroupBox1Layout->addWidget( mMailboxType, 0, 1 );

    TextLabel1_2 = new QLabel( GroupBox1, "TextLabel1_2" );

    GroupBox1Layout->addWidget( TextLabel1_2, 0, 0 );

    TextLabel1_3 = new QLabel( GroupBox1, "TextLabel1_3" );

    GroupBox1Layout->addWidget( TextLabel1_3, 2, 0 );
    Spacer7 = new QSpacerItem( 120, 80, QSizePolicy::Expanding, QSizePolicy::Minimum );
    GroupBox1Layout->addMultiCell( Spacer7, 0, 2, 2, 2 );

    mListDisplays = new QComboBox( FALSE, GroupBox1, "mListDisplays" );

    GroupBox1Layout->addWidget( mListDisplays, 2, 1 );
    KMFolderDialogUILayout->addWidget( GroupBox1 );
    languageChange();
    resize( QSize(344, 428).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mIconsCheckBox, SIGNAL( toggled(bool) ), TextLabel3, SLOT( setEnabled(bool) ) );
    connect( mIconsCheckBox, SIGNAL( toggled(bool) ), TextLabel4, SLOT( setEnabled(bool) ) );
    connect( mHoldsMailingList, SIGNAL( toggled(bool) ), mMailingListPostAddress, SLOT( setEnabled(bool) ) );
    connect( mHoldsMailingList, SIGNAL( toggled(bool) ), TextLabel2_2, SLOT( setEnabled(bool) ) );
    connect( mIconsCheckBox, SIGNAL( toggled(bool) ), mNormalIconButton, SLOT( setEnabled(bool) ) );
    connect( mIconsCheckBox, SIGNAL( toggled(bool) ), mUnreadIconButton, SLOT( setEnabled(bool) ) );
    connect( mExpireRead, SIGNAL( toggled(bool) ), TextLabel2_3, SLOT( setEnabled(bool) ) );
    connect( mExpireRead, SIGNAL( toggled(bool) ), mExpireReadNum, SLOT( setEnabled(bool) ) );
    connect( mExpireRead, SIGNAL( toggled(bool) ), mExpireReadUnits, SLOT( setEnabled(bool) ) );
    connect( mExpireUnread, SIGNAL( toggled(bool) ), TextLabel2_3_2, SLOT( setEnabled(bool) ) );
    connect( mExpireUnread, SIGNAL( toggled(bool) ), mExpireUnreadNum, SLOT( setEnabled(bool) ) );
    connect( mExpireUnread, SIGNAL( toggled(bool) ), mExpireUnreadUnits, SLOT( setEnabled(bool) ) );
    connect( mNormalIconButton, SIGNAL( iconChanged(QString) ), this, SLOT( slotChangeIcon(QString) ) );

    // buddies
    TextLabel1->setBuddy( mNameEdit );
    TextLabel2_2->setBuddy( mMailingListPostAddress );
    TextLabel3->setBuddy( mNormalIconButton );
    TextLabel4->setBuddy( mUnreadIconButton );
    TextLabel2_3->setBuddy( mExpireReadNum );
    TextLabel2_3_2->setBuddy( mExpireUnreadNum );
    textLabel1->setBuddy( mIdentity );
    TextLabel1_2->setBuddy( mMailboxType );
    TextLabel1_3->setBuddy( mListDisplays );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KMFolderDialogUI::~KMFolderDialogUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KMFolderDialogUI::languageChange()
{
    setCaption( tr2i18n( "Folder Properties" ) );
    GroupBox2->setTitle( tr2i18n( "General" ) );
    TextLabel1->setText( tr2i18n( "&Name:" ) );
    mHoldsMailingList->setText( tr2i18n( "Folder holds a &mailing list" ) );
    TextLabel2_2->setText( tr2i18n( "List &address:" ) );
    TextLabel3->setText( tr2i18n( "N&ormal:" ) );
    mNormalIconButton->setText( QString::null );
    mUnreadIconButton->setText( QString::null );
    TextLabel4->setText( tr2i18n( "Unr&ead:" ) );
    mIconsCheckBox->setText( tr2i18n( "Use custom &icons" ) );
    GroupBox3->setTitle( tr2i18n( "Message Expiring" ) );
    TextLabel2_3->setText( tr2i18n( "E&xpire after:" ) );
    mExpireRead->setText( tr2i18n( "Expire &read messages" ) );
    TextLabel2_3_2->setText( tr2i18n( "Expire a&fter:" ) );
    mExpireUnread->setText( tr2i18n( "Expire &unread messages" ) );
    mExpireUnreadUnits->clear();
    mExpireUnreadUnits->insertItem( tr2i18n( "Day(s)" ) );
    mExpireUnreadUnits->insertItem( tr2i18n( "Week(s)" ) );
    mExpireUnreadUnits->insertItem( tr2i18n( "Month(s)" ) );
    mExpireReadUnits->clear();
    mExpireReadUnits->insertItem( tr2i18n( "Day(s)" ) );
    mExpireReadUnits->insertItem( tr2i18n( "Week(s)" ) );
    mExpireReadUnits->insertItem( tr2i18n( "Month(s)" ) );
    GroupBox1->setTitle( tr2i18n( "Advanced" ) );
    textLabel1->setText( tr2i18n( "Sender identit&y:" ) );
    TextLabel1_2->setText( tr2i18n( "&Storage format:" ) );
    TextLabel1_3->setText( tr2i18n( "&List displays:" ) );
    mListDisplays->clear();
    mListDisplays->insertItem( tr2i18n( "Sender" ) );
    mListDisplays->insertItem( tr2i18n( "Receiver" ) );
}

/****************************************************************************
** KMFolderDialogUI meta object code from reading C++ file 'folderpropertiesdialog.h'
**
** Created: Mon Aug 5 17:04:51 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "folderpropertiesdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KMFolderDialogUI::className() const
{
    return "KMFolderDialogUI";
}

QMetaObject *KMFolderDialogUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KMFolderDialogUI( "KMFolderDialogUI", &KMFolderDialogUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KMFolderDialogUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KMFolderDialogUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KMFolderDialogUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KMFolderDialogUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KMFolderDialogUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUParameter param_slot_1[] = {
	{ 0, &static_QUType_QString, 0, QUParameter::In }
    };
    static const QUMethod slot_1 = {"slotChangeIcon", 1, param_slot_1 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "slotChangeIcon(QString)", &slot_1, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KMFolderDialogUI", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KMFolderDialogUI.setMetaObject( metaObj );
    return metaObj;
}

void* KMFolderDialogUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KMFolderDialogUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KMFolderDialogUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotChangeIcon((QString)static_QUType_QString.get(_o+1)); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KMFolderDialogUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KMFolderDialogUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KMFolderDialogUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
