#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'templatesconfiguration_base.ui'
**
** Created: 2013-08-05T17:04:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "templatesconfiguration_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtoolbox.h>
#include <qtextedit.h>
#include <kactivelabel.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "templatesinsertcommand.h"

/*
 *  Constructs a TemplatesConfigurationBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TemplatesConfigurationBase::TemplatesConfigurationBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TemplatesConfigurationBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 3, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 400, 300 ) );
    TemplatesConfigurationBaseLayout = new QVBoxLayout( this, 11, 6, "TemplatesConfigurationBaseLayout"); 

    toolBox1 = new QToolBox( this, "toolBox1" );
    toolBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 3, toolBox1->sizePolicy().hasHeightForWidth() ) );
    toolBox1->setMinimumSize( QSize( 0, 0 ) );
    toolBox1->setFrameShape( QToolBox::Panel );
    toolBox1->setFrameShadow( QToolBox::Sunken );
    toolBox1->setCurrentIndex( 3 );

    page_new = new QWidget( toolBox1, "page_new" );
    page_new->setBackgroundMode( QWidget::PaletteBackground );
    page_newLayout = new QHBoxLayout( page_new, 11, 6, "page_newLayout"); 

    textEdit_new = new QTextEdit( page_new, "textEdit_new" );
    textEdit_new->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 3, textEdit_new->sizePolicy().hasHeightForWidth() ) );
    textEdit_new->setMinimumSize( QSize( 0, 0 ) );
    QFont textEdit_new_font(  textEdit_new->font() );
    textEdit_new_font.setFamily( "Monospace" );
    textEdit_new->setFont( textEdit_new_font ); 
    textEdit_new->setResizePolicy( QTextEdit::Manual );
    textEdit_new->setVScrollBarMode( QTextEdit::Auto );
    textEdit_new->setHScrollBarMode( QTextEdit::Auto );
    textEdit_new->setTextFormat( QTextEdit::PlainText );
    textEdit_new->setWordWrap( QTextEdit::NoWrap );
    textEdit_new->setAutoFormatting( int( QTextEdit::AutoNone ) );
    page_newLayout->addWidget( textEdit_new );
    toolBox1->addItem( page_new, QString::fromLatin1("") );

    page_reply = new QWidget( toolBox1, "page_reply" );
    page_reply->setBackgroundMode( QWidget::PaletteBackground );
    page_replyLayout = new QHBoxLayout( page_reply, 11, 6, "page_replyLayout"); 

    textEdit_reply = new QTextEdit( page_reply, "textEdit_reply" );
    textEdit_reply->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, textEdit_reply->sizePolicy().hasHeightForWidth() ) );
    QFont textEdit_reply_font(  textEdit_reply->font() );
    textEdit_reply_font.setFamily( "Monospace" );
    textEdit_reply->setFont( textEdit_reply_font ); 
    textEdit_reply->setTextFormat( QTextEdit::PlainText );
    textEdit_reply->setWordWrap( QTextEdit::NoWrap );
    textEdit_reply->setAutoFormatting( int( QTextEdit::AutoNone ) );
    page_replyLayout->addWidget( textEdit_reply );
    toolBox1->addItem( page_reply, QString::fromLatin1("") );

    page_reply_all = new QWidget( toolBox1, "page_reply_all" );
    page_reply_all->setBackgroundMode( QWidget::PaletteBackground );
    page_reply_allLayout = new QHBoxLayout( page_reply_all, 11, 6, "page_reply_allLayout"); 

    textEdit_reply_all = new QTextEdit( page_reply_all, "textEdit_reply_all" );
    textEdit_reply_all->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, textEdit_reply_all->sizePolicy().hasHeightForWidth() ) );
    QFont textEdit_reply_all_font(  textEdit_reply_all->font() );
    textEdit_reply_all_font.setFamily( "Monospace" );
    textEdit_reply_all->setFont( textEdit_reply_all_font ); 
    textEdit_reply_all->setTextFormat( QTextEdit::PlainText );
    textEdit_reply_all->setWordWrap( QTextEdit::NoWrap );
    textEdit_reply_all->setAutoFormatting( int( QTextEdit::AutoNone ) );
    page_reply_allLayout->addWidget( textEdit_reply_all );
    toolBox1->addItem( page_reply_all, QString::fromLatin1("") );

    page_forward = new QWidget( toolBox1, "page_forward" );
    page_forward->setBackgroundMode( QWidget::PaletteBackground );
    page_forwardLayout = new QHBoxLayout( page_forward, 11, 6, "page_forwardLayout"); 

    textEdit_forward = new QTextEdit( page_forward, "textEdit_forward" );
    textEdit_forward->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, textEdit_forward->sizePolicy().hasHeightForWidth() ) );
    QFont textEdit_forward_font(  textEdit_forward->font() );
    textEdit_forward_font.setFamily( "Monospace" );
    textEdit_forward->setFont( textEdit_forward_font ); 
    textEdit_forward->setTextFormat( QTextEdit::PlainText );
    textEdit_forward->setWordWrap( QTextEdit::NoWrap );
    textEdit_forward->setAutoFormatting( int( QTextEdit::AutoNone ) );
    page_forwardLayout->addWidget( textEdit_forward );
    toolBox1->addItem( page_forward, QString::fromLatin1("") );
    TemplatesConfigurationBaseLayout->addWidget( toolBox1 );

    mHelp = new KActiveLabel( this, "mHelp" );
    TemplatesConfigurationBaseLayout->addWidget( mHelp );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    mInsertCommand = new TemplatesInsertCommand( this, "mInsertCommand" );
    layout5->addWidget( mInsertCommand );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 2, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    textLabel1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout5->addWidget( textLabel1 );

    lineEdit_quote = new QLineEdit( this, "lineEdit_quote" );
    layout5->addWidget( lineEdit_quote );
    TemplatesConfigurationBaseLayout->addLayout( layout5 );
    languageChange();
    resize( QSize(400, 316).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( lineEdit_quote );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TemplatesConfigurationBase::~TemplatesConfigurationBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TemplatesConfigurationBase::languageChange()
{
    setCaption( tr2i18n( "TemplatesConfiguration" ) );
    toolBox1->setItemLabel( toolBox1->indexOf(page_new), tr2i18n( "New Message" ) );
    toolBox1->setItemLabel( toolBox1->indexOf(page_reply), tr2i18n( "Reply to Sender" ) );
    toolBox1->setItemLabel( toolBox1->indexOf(page_reply_all), tr2i18n( "Reply to All / Reply to List" ) );
    toolBox1->setItemLabel( toolBox1->indexOf(page_forward), tr2i18n( "Forward Message" ) );
    mHelp->setText( tr2i18n( "How does this work?" ) );
    textLabel1->setText( tr2i18n( "&Quote indicator:" ) );
}

/****************************************************************************
** TemplatesConfigurationBase meta object code from reading C++ file 'templatesconfiguration_base.h'
**
** Created: Mon Aug 5 17:04:54 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "templatesconfiguration_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TemplatesConfigurationBase::className() const
{
    return "TemplatesConfigurationBase";
}

QMetaObject *TemplatesConfigurationBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TemplatesConfigurationBase( "TemplatesConfigurationBase", &TemplatesConfigurationBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TemplatesConfigurationBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TemplatesConfigurationBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TemplatesConfigurationBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TemplatesConfigurationBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TemplatesConfigurationBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TemplatesConfigurationBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TemplatesConfigurationBase.setMetaObject( metaObj );
    return metaObj;
}

void* TemplatesConfigurationBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TemplatesConfigurationBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool TemplatesConfigurationBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TemplatesConfigurationBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TemplatesConfigurationBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TemplatesConfigurationBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
