#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'warningconfiguration.ui'
**
** Created: 2013-08-05T17:04:53
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "warningconfiguration.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a WarningConfiguration as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WarningConfiguration::WarningConfiguration( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WarningConfiguration" );
    WarningConfigurationLayout = new QVBoxLayout( this, 11, 6, "WarningConfigurationLayout"); 

    mWarnUnsigned = new QCheckBox( this, "mWarnUnsigned" );
    mWarnUnsigned->setChecked( TRUE );
    WarningConfigurationLayout->addWidget( mWarnUnsigned );

    warnUnencryptedCB = new QCheckBox( this, "warnUnencryptedCB" );
    warnUnencryptedCB->setChecked( TRUE );
    WarningConfigurationLayout->addWidget( warnUnencryptedCB );

    warnReceiverNotInCertificateCB = new QCheckBox( this, "warnReceiverNotInCertificateCB" );
    warnReceiverNotInCertificateCB->setChecked( TRUE );
    WarningConfigurationLayout->addWidget( warnReceiverNotInCertificateCB );

    warnGroupBox = new QGroupBox( this, "warnGroupBox" );
    warnGroupBox->setCheckable( TRUE );
    warnGroupBox->setColumnLayout(0, Qt::Vertical );
    warnGroupBox->layout()->setSpacing( 6 );
    warnGroupBox->layout()->setMargin( 11 );
    warnGroupBoxLayout = new QGridLayout( warnGroupBox->layout() );
    warnGroupBoxLayout->setAlignment( Qt::AlignTop );

    textLabel2 = new QLabel( warnGroupBox, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignCenter ) );

    warnGroupBoxLayout->addWidget( textLabel2, 0, 1 );

    textLabel2_2 = new QLabel( warnGroupBox, "textLabel2_2" );
    textLabel2_2->setAlignment( int( QLabel::AlignCenter ) );

    warnGroupBoxLayout->addWidget( textLabel2_2, 0, 2 );

    mWarnSignKeyExpiresSB = new QSpinBox( warnGroupBox, "mWarnSignKeyExpiresSB" );
    mWarnSignKeyExpiresSB->setMaxValue( 999 );
    mWarnSignKeyExpiresSB->setMinValue( 1 );
    mWarnSignKeyExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnSignKeyExpiresSB, 1, 1 );

    mWarnEncrKeyExpiresSB = new QSpinBox( warnGroupBox, "mWarnEncrKeyExpiresSB" );
    mWarnEncrKeyExpiresSB->setMaxValue( 999 );
    mWarnEncrKeyExpiresSB->setMinValue( 1 );
    mWarnEncrKeyExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnEncrKeyExpiresSB, 1, 2 );

    mWarnEncrChainCertExpiresSB = new QSpinBox( warnGroupBox, "mWarnEncrChainCertExpiresSB" );
    mWarnEncrChainCertExpiresSB->setMaxValue( 999 );
    mWarnEncrChainCertExpiresSB->setMinValue( 1 );
    mWarnEncrChainCertExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnEncrChainCertExpiresSB, 2, 2 );

    mWarnSignChainCertExpiresSB = new QSpinBox( warnGroupBox, "mWarnSignChainCertExpiresSB" );
    mWarnSignChainCertExpiresSB->setMaxValue( 999 );
    mWarnSignChainCertExpiresSB->setMinValue( 1 );
    mWarnSignChainCertExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnSignChainCertExpiresSB, 2, 1 );

    mWarnSignRootCertExpiresSB = new QSpinBox( warnGroupBox, "mWarnSignRootCertExpiresSB" );
    mWarnSignRootCertExpiresSB->setMaxValue( 999 );
    mWarnSignRootCertExpiresSB->setMinValue( 1 );
    mWarnSignRootCertExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnSignRootCertExpiresSB, 3, 1 );

    mWarnEncrRootCertExpiresSB = new QSpinBox( warnGroupBox, "mWarnEncrRootCertExpiresSB" );
    mWarnEncrRootCertExpiresSB->setMaxValue( 999 );
    mWarnEncrRootCertExpiresSB->setMinValue( 1 );
    mWarnEncrRootCertExpiresSB->setValue( 14 );

    warnGroupBoxLayout->addWidget( mWarnEncrRootCertExpiresSB, 3, 2 );

    textLabel1_2_2 = new QLabel( warnGroupBox, "textLabel1_2_2" );

    warnGroupBoxLayout->addWidget( textLabel1_2_2, 3, 0 );

    textLabel1_2 = new QLabel( warnGroupBox, "textLabel1_2" );

    warnGroupBoxLayout->addWidget( textLabel1_2, 2, 0 );

    textLabel1 = new QLabel( warnGroupBox, "textLabel1" );

    warnGroupBoxLayout->addWidget( textLabel1, 1, 0 );
    spacer5 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    warnGroupBoxLayout->addItem( spacer5, 2, 3 );
    WarningConfigurationLayout->addWidget( warnGroupBox );
    spacer23 = new QSpacerItem( 20, 90, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WarningConfigurationLayout->addItem( spacer23 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer4 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer4 );

    enableAllWarningsPB = new QPushButton( this, "enableAllWarningsPB" );
    layout1->addWidget( enableAllWarningsPB );
    WarningConfigurationLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(552, 325).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mWarnUnsigned, warnUnencryptedCB );
    setTabOrder( warnUnencryptedCB, warnReceiverNotInCertificateCB );
    setTabOrder( warnReceiverNotInCertificateCB, mWarnSignKeyExpiresSB );
    setTabOrder( mWarnSignKeyExpiresSB, mWarnSignChainCertExpiresSB );
    setTabOrder( mWarnSignChainCertExpiresSB, mWarnSignRootCertExpiresSB );
    setTabOrder( mWarnSignRootCertExpiresSB, mWarnEncrKeyExpiresSB );
    setTabOrder( mWarnEncrKeyExpiresSB, mWarnEncrChainCertExpiresSB );
    setTabOrder( mWarnEncrChainCertExpiresSB, mWarnEncrRootCertExpiresSB );
    setTabOrder( mWarnEncrRootCertExpiresSB, enableAllWarningsPB );

    // buddies
    textLabel1_2_2->setBuddy( mWarnSignRootCertExpiresSB );
    textLabel1_2->setBuddy( mWarnSignChainCertExpiresSB );
    textLabel1->setBuddy( mWarnSignKeyExpiresSB );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WarningConfiguration::~WarningConfiguration()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WarningConfiguration::languageChange()
{
    mWarnUnsigned->setText( tr2i18n( "Warn when trying to send &unsigned messages" ) );
    QToolTip::add( mWarnUnsigned, tr2i18n( "Check to be warned when sending unsigned messages." ) );
    QWhatsThis::add( mWarnUnsigned, tr2i18n( "<qt>\n"
"<h1>Warn When Trying To Send Unsigned Messages</h1>\n"
"If this box is checked, you will be warned when you try to send parts of or the whole message unsigned.\n"
"<p>\n"
"It is recommended to leave this option turned on for maximum integrity.\n"
"</qt>" ) );
    warnUnencryptedCB->setText( tr2i18n( "&Warn when trying to send unencrypted messages" ) );
    QToolTip::add( warnUnencryptedCB, tr2i18n( "Check to be warned when sending unencrypted messages." ) );
    QWhatsThis::add( warnUnencryptedCB, tr2i18n( "<qt>\n"
"<h1>Warn When Trying To Send Unencrypted Messages</h1>\n"
"If this box is checked, you will be warned when you try to send parts of or the whole message unencrypted.\n"
"<p>\n"
"It is recommended to leave this option turned on for maximum integrity.\n"
"</qt>" ) );
    warnReceiverNotInCertificateCB->setText( tr2i18n( "Warn if &Receiver's Email Address is Not in Certificate" ) );
    QToolTip::add( warnReceiverNotInCertificateCB, tr2i18n( "Check to be warned if the address is not in the certificate" ) );
    QWhatsThis::add( warnReceiverNotInCertificateCB, tr2i18n( "<qt>\n"
"<h1>Warn If Receiver's Email Address Is Not In Certificate</h1>\n"
"If this option is checked, a warning is issued if the email address of the receiver is not contained in the certificate used for encrypting.\n"
"<p>\n"
"It is recommended to leave this option turned on for maximum security.\n"
"</qt>" ) );
    warnGroupBox->setTitle( tr2i18n( "Warn if certificates/keys expire soon (configure thresholds below)" ) );
    textLabel2->setText( tr2i18n( "For signing" ) );
    textLabel2_2->setText( tr2i18n( "For encryption" ) );
    mWarnSignKeyExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnSignKeyExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnSignKeyExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If Signature Certificate Expires</h1>\n"
"Select the minimum number of days the signature certificate should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    mWarnEncrKeyExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnEncrKeyExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnEncrKeyExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If Encryption Certificate Expires</h1>\n"
"Select the minimum number of days the encryption certificate should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    mWarnEncrChainCertExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnEncrChainCertExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnEncrChainCertExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If A Certificate In The Chain Expires</h1>\n"
"Select the minimum number of days all certificates in the chain should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    mWarnSignChainCertExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnSignChainCertExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnSignChainCertExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If CA Certificate Expires</h1>\n"
"Select the minimum number of days the CA certificate should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    mWarnSignRootCertExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnSignRootCertExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnSignRootCertExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If Root Certificate Expires</h1>\n"
"Select the minimum number of days the root certificate should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    mWarnEncrRootCertExpiresSB->setSuffix( tr2i18n( " days" ) );
    QToolTip::add( mWarnEncrRootCertExpiresSB, tr2i18n( "Select the number of days here" ) );
    QWhatsThis::add( mWarnEncrRootCertExpiresSB, tr2i18n( "<qt>\n"
"<h1>Warn If Root Certificate Expires</h1>\n"
"Select the minimum number of days the root certificate should be valid without issuing a warning.\n"
"<p>\n"
"The recommended SPHINX setting is 14 days.\n"
"</qt>" ) );
    textLabel1_2_2->setText( tr2i18n( "For root certificates:" ) );
    textLabel1_2->setText( tr2i18n( "For intermediate CA certificates:" ) );
    textLabel1->setText( tr2i18n( "For end-user certificates/keys:" ) );
    enableAllWarningsPB->setText( tr2i18n( "Re-enable All \"Don't Ask Again\" Warnings" ) );
}

/****************************************************************************
** WarningConfiguration meta object code from reading C++ file 'warningconfiguration.h'
**
** Created: Mon Aug 5 17:04:53 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "warningconfiguration.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *WarningConfiguration::className() const
{
    return "WarningConfiguration";
}

QMetaObject *WarningConfiguration::metaObj = 0;
static QMetaObjectCleanUp cleanUp_WarningConfiguration( "WarningConfiguration", &WarningConfiguration::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString WarningConfiguration::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WarningConfiguration", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString WarningConfiguration::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WarningConfiguration", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* WarningConfiguration::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"WarningConfiguration", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_WarningConfiguration.setMetaObject( metaObj );
    return metaObj;
}

void* WarningConfiguration::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "WarningConfiguration" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool WarningConfiguration::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool WarningConfiguration::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool WarningConfiguration::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool WarningConfiguration::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
